<template>
  <div>
    <v-menu
      offset-y
      min-width="130"
      nudge-bottom="16"
      light
      left
      origin="right right"
      transition="slide-y-transition"
    >
      <template v-slot:activator="{ on }">
        <v-btn text color="primary" dark class="nocase" v-on="on">
          <span v-if="$i18n.locale == 'fa'" class="fn-t inline-b"> فارسی </span>
          <span v-if="$i18n.locale == 'en'" class="fn-t inline-b"> English </span>
          <v-icon class="inline-b pr-2">mdi-earth</v-icon>
        </v-btn>
      </template>
      <v-list>
        <v-list-item
          v-for="locale in availableLocales"
          :key="locale.code"
          :to="switchLocalePath(locale.code)"
          @change="vuetifyDirrtl(locale.code)"
        >
          <v-list-item-title>{{ locale.name }}</v-list-item-title>
        </v-list-item>
      </v-list>
    </v-menu>
  </div>
</template>

<script>
export default {
  name: 'LangSwitcher',
  computed: {
    availableLocales() {
      return this.$i18n.locales;
    },
  },
  methods: {
    vuetifyDirrtl(a) {
      if (a === 'fa') {
        this.$vuetify.rtl = true;
      }
      if (a === 'en') {
        this.$vuetify.rtl = false;
      }
    },
  },
};
</script>

<style>
.inline-b {
  display: inline-block;
}
.fn-t {
  font-size: 1.1em;
}
</style>
